
Summary: Data analysis and plotting software 
Name: 	 qtiplot
Version: 0.8.3	
Release: 1%{?dist}
License: GPL 
#URL:	 http://soft.proindependent.com/qtiplot.html 
URL:	 http://qtiplot.berlios.de/
Group:	 System Environment/Libraries
Source0: http://download.berlios.de/qtiplot/qtiplot-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source1: http://soft.proindependent.com/doc/manual-en.zip
Source10: qtiplot.desktop
Source11: qtiplot-32x32.png

Patch1: qtiplot-0.8.3-DESTDIR.patch
Patch2: qtiplot-0.8.3-helpFilePath.patch

BuildRequires: qt-devel
BuildRequires: qwtplot3d-devel
BuildRequires: gsl-devel
BuildRequires: desktop-file-utils

%description
%{summary}.

Features include:
* 3D Plots 
* Publication quality 2D plots: Error Bars, Multilayer Plots, Bar Plots,
  Pie Plots, Vector Plots
* Statistical Plots: Box/Whiskers Diagramms, Histograms
* Powerful and versatile spreadsheets and calculations in column-logic 
* Easy ASCII-Import/Export of single or multiple files
* Linear and non-linear y=f(x) curve fitting and estimation of statistical
  errors of the fit-parameters
* Multi-peak fitting with Gaussian and Lorentzian peak profiles
* Data analysis: statistics, sorting, FFT, data smoothing (Savitzky-Golay,
  FFT smoothing, and moving window average), data filtering (low/high/band
  pass and band block filters), convolution/deconvolution, correlation,
  interpolation, numerical integration/differentiation, etc...
* Matrices optimized for 3D plotting
* Templates support: all the settings for plots (2D/3D), tables and matrixes
  can be saved to ASCII files and restored later on for a fast editing process
* Project files


%prep
%setup -q -a1

%patch1 -p1 -b .DESTDIR
%patch2 -p1 -b .helpFilePath


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include

qmake
make %{?_smp_mflags}


%install

make install INSTALL_ROOT=$RPM_BUILD_ROOT

desktop-file-install \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   --add-category="X-Fedora" --vendor="fedora" \
   %{SOURCE10}

## icons
install -p -m644 -D %{SOURCE11} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/qtiplot.png
# optional 128x128 icon from manual
install -p -m644 -D manual-en/common/qtiplot-logo.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps/qtiplot.png

# manual/doc link 
mkdir $RPM_BUILD_ROOT%{_datadir}/%{name}
ln -s %{_docdir}/%{name}-%{version}/manual-en $RPM_BUILD_ROOT%{_datadir}/%{name}/doc


%clean
rm -rf $RPM_BUILD_ROOT 


%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database >& /dev/null ||:

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database >& /dev/null ||:


%files
%defattr(-,root,root,-)
%doc gpl_licence.txt README.html
%doc manual*
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/%{name}/
%{_libdir}/lib*


%changelog
* Wed May 10 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.3-1
- 0.8.3 (first try). 

